Bug 820622 - PropertiesFileUpdate.update() fails with a "seek offset is negative" exception if called on a file that either does not exist or has a size of 0 bytes
PropertiesFileUpdate.update() fails with a "seek offset is negative" exceptio...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On: 820445
Blocks: jon310-sprint11/rhq44-sprint11 820570
  Show dependency treegraph
 
Reported: 2012-05-10 10:04 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820445
Environment:
Last Closed: 2013-09-03 11:10:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-10 10:04:12 EDT
+++ This bug was initially created as a clone of Bug #820445 +++

This is a regression caused by a recent fix I made to this class (master commit e68540f).

--- Additional comment from ccrouch@redhat.com on 2012-05-10 08:29:00 EDT ---

Setting to Urgent since it blocks 819145. I would expect that this issue should also be cloned so we have bugs targeting JON3.1.0 and RHQ4.5

Ian, I see a commit into master for this BZ (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=1504ec41d2b9dc2e31526e619e150dfacffe474c). What's the status?

--- Additional comment from ian.springer@redhat.com on 2012-05-10 10:02:58 EDT ---

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=1504ec4 fixes this in master.
Comment 1 Ian Springer 2012-05-10 10:06:12 EDT
Cherry-picked to the release/jon3.1.x branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=7ac6bef
Comment 2 Mike Foley 2012-05-29 11:25:11 EDT
discussed with filip.  developer bug with no customer repro steps.  verification is the addition of a unit test
Comment 5 Heiko W. Rupp 2013-09-03 11:10:55 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.